Source: libgd2
Version: 2.1.1-2
Severity: serious
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs toolchain


[serious because breaks other package builds without a good reason]

Dear maintainer,

the 2.1.1-2 changelog reads:

   * Drop libgd2-{xpm,noxmp}-dev dummy packages

though there are still packages (build-)depending on them.
I see no bugs against those packages asking for changing such build-dep (I
chkecked only a handful of them), and as such now those packages can't be built
anymore.

Please add at least a Provides: so that package can continue using such
transitive packages and open a bug against them asking for such change.

Following there is what the daily cruft report reports, you can find some more
with grep-dctrl since there are packages with such build-dep masked by an
alternative.


* source package libgd2 version 2.1.1-2 no longer builds
  binary package(s): libgd2-noxpm-dev libgd2-xpm-dev
  on 
amd64,arm64,armel,armhf,hurd-i386,i386,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,ppc64el,s390x,sparc
  - suggested command:
    dak rm -m "[auto-cruft] NBS (no longer built by libgd2)" -s unstable -a 
amd64,arm64,armel,armhf,hurd-i386,i386,kfreebsd-amd64,kfreebsd-i386,mips,mipsel,powerpc,ppc64el,s390x,sparc
 -p -R -b libgd2-noxpm-dev libgd2-xpm-dev
  - broken Depends:
    haskell-gd: libghc-gd-dev [sparc]
  - broken Build-Depends:
    analog: libgd2-noxpm-dev (>= 2.0.1-18)
    apcupsd: libgd2-noxpm-dev
    awffull: libgd2-xpm-dev |libgd2-noxpm-dev
    cvsgraph: libgd2-noxpm-dev |libgd2-xpm-dev
    dvipng: libgd2-noxpm-dev
    embassy-domainatrix: libgd2-xpm-dev
    embassy-domalign: libgd2-xpm-dev
    embassy-domsearch: libgd2-xpm-dev
    embassy-phylip/non-free: libgd2-xpm-dev
    falconpl: libgd2-xpm-dev
    fceux: libgd2-xpm-dev
    fsl/non-free: libgd2-noxpm-dev (>= 2.0.33) |libgd2-xpm-dev (>= 2.0.33)
    fswebcam: libgd2-noxpm-dev |libgd2-xpm-dev
    grads: libgd2-xpm-dev
    graphviz: libgd2-noxpm-dev (>= 2.0.35)
    haskell-gd: libgd2-xpm-dev
    lcd4linux: libgd2-xpm-dev
    libgdchart-gd2: libgd2-noxpm-dev (> 2.0.28)
    libgphoto2: libgd2-xpm-dev
    libpst: libgd2-noxpm-dev |libgd2-xpm-dev
    libpuzzle: libgd2-noxpm-dev
    libpwiz: libgd2-xpm-dev (>= 2.0.35)
    mldonkey: libgd2-xpm-dev
    mrtg: libgd2-noxpm-dev
    nagios3: libgd2-noxpm-dev (>= 2.0.1) |libgd2-xpm-dev (>= 2.0.1)
    ntop: libgd2-noxpm-dev
    oggvideotools: libgd2-xpm-dev
    osmium: libgd2-xpm-dev
    pdl: libgd2-xpm-dev
    php-ps: libgd2-xpm-dev (> 2.0.0)
    ploticus: libgd2-noxpm-dev
    plplot: libgd2-noxpm-dev |libgd2-xpm-dev
    png2html: libgd2-noxpm-dev
    polybori: libgd2-xpm-dev
    pygdchart2: libgd2-noxpm-dev |libgd2-xpm-dev
    sarg: libgd2-noxpm-dev |libgd2-xpm-dev
    webdruid: libgd2-noxpm-dev
    wims: libgd2-xpm-dev |libgd2-noxpm-dev

-- 
regards,
                        Mattia Rizzolo

GPG Key: 66AE 2B4A FCCF 3F52 DA18  4D18 4B04 3FCD B944 4540         .''`.
more about me:  http://mapreri.org                                 : :'  :
Launchpad user: https://launchpad.net/~mapreri                     `. `'`
Debian QA page: https://qa.debian.org/developer.php?login=mattia     `-

Attachment: signature.asc
Description: Digital signature

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to